Bug 858751 - [abrt] rhythmbox-2.97-5.fc18: g_variant_type_info_check: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.97-5.fc18: g_variant_type_info_check: Process /usr/bin/rhy...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:54fb4980d1ff0692731101c6618...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 11:32 EDT by Taylor Smock
Modified: 2014-02-05 07:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:13:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (4.01 KB, text/plain)
2012-09-19 11:32 EDT, Taylor Smock
no flags Details
File: environ (1.40 KB, text/plain)
2012-09-19 11:32 EDT, Taylor Smock
no flags Details
File: backtrace (76.97 KB, text/plain)
2012-09-19 11:32 EDT, Taylor Smock
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-19 11:32 EDT, Taylor Smock
no flags Details
File: cgroup (129 bytes, text/plain)
2012-09-19 11:32 EDT, Taylor Smock
no flags Details
File: maps (104.15 KB, text/plain)
2012-09-19 11:32 EDT, Taylor Smock
no flags Details
File: dso_list (23.16 KB, text/plain)
2012-09-19 11:32 EDT, Taylor Smock
no flags Details
File: var_log_messages (623 bytes, text/plain)
2012-09-19 11:32 EDT, Taylor Smock
no flags Details
File: open_fds (938 bytes, text/plain)
2012-09-19 11:33 EDT, Taylor Smock
no flags Details

  None (edit)
Description Taylor Smock 2012-09-19 11:32:44 EDT
Description of problem:
1. Restore backup from F17 (may not be necessary)
2. Start Rhythmbox (command line or graphical start)
3. Click Edit (or use keyboard)
4. Click Preferences (or use keyboard)
5. Crash occurs, segmentation fault


When started with command line "(rhythmbox:2573): GLib-CRITICAL **: g_variant_ref_sink: assertion `value->ref_count > 0' failed" is repeated several times


Version-Release number of selected component:
rhythmbox-2.97-5.fc18

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: g_variant_type_info_check
kernel:         3.6.0-0.rc2.git2.1.fc18.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 g_variant_type_info_check at gvarianttypeinfo.c
: #1 g_variant_type_info_get_type_string at gvarianttypeinfo.c
: #2 gvs_variant_needed_size at gvariant-serialiser.c
: #3 g_variant_serialiser_needed_size at gvariant-serialiser.c
: #4 g_variant_ensure_size at gvariant-core.c
: #5 g_variant_fill_gvs at gvariant-core.c
: #6 gvs_variable_sized_maybe_needed_size at gvariant-serialiser.c
: #7 g_variant_serialiser_needed_size at gvariant-serialiser.c
: #8 g_variant_ensure_size at gvariant-core.c
: #9 g_variant_fill_gvs at gvariant-core.c
Comment 1 Taylor Smock 2012-09-19 11:32:47 EDT
Created attachment 614418 [details]
File: core_backtrace
Comment 2 Taylor Smock 2012-09-19 11:32:49 EDT
Created attachment 614419 [details]
File: environ
Comment 3 Taylor Smock 2012-09-19 11:32:51 EDT
Created attachment 614420 [details]
File: backtrace
Comment 4 Taylor Smock 2012-09-19 11:32:52 EDT
Created attachment 614421 [details]
File: limits
Comment 5 Taylor Smock 2012-09-19 11:32:54 EDT
Created attachment 614422 [details]
File: cgroup
Comment 6 Taylor Smock 2012-09-19 11:32:56 EDT
Created attachment 614423 [details]
File: maps
Comment 7 Taylor Smock 2012-09-19 11:32:57 EDT
Created attachment 614424 [details]
File: dso_list
Comment 8 Taylor Smock 2012-09-19 11:32:59 EDT
Created attachment 614425 [details]
File: var_log_messages
Comment 9 Taylor Smock 2012-09-19 11:33:01 EDT
Created attachment 614426 [details]
File: open_fds
Comment 10 Fedora End Of Life 2013-12-21 03:54:08 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 07:13:39 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.